# Bug Box

![build-status](https://drone.runcible.io/api/badges/learning/bugbox/status.svg)

A RestAPI for managing bug enclosures. 

## Project Structure

*Application domain* types reside in the project root and includes a a *Service* interface that serves as a contract for an underlying implementation. A *Service* implementation of the application domain is contained in the appropriate sub package (http, sqlite, etc.). The application is tied together in the `cmd` sub package. 

- Organization:  
- User: 
- Enclosure: 



## Inspiration

The structure of this application follows the design patterns laid out in the [WTF-Dail](https://github.com/benbjohnson/wtf?ref=gobeyond.dev) which strives to be a reference implementation for a real golang web application. 

