package bugbox

import (
	"fmt"
	"net/http"
	"strings"
)

// GetEnclosure retrieves the requested enclosure
func GetEnclosure(name string) string {
	return name
}

func BugBoxServer(w http.ResponseWriter, r *http.Request) {
	enclosure := strings.TrimPrefix(r.URL.Path, "/enclosure/")
	fmt.Fprint(w, GetEnclosure(enclosure))
}
